import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataLocalFileConfig extends cdktf.TerraformMetaArguments {
    /**
    * Path to the file that will be read. The data source will return an error if the file does not exist.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/local/d/file#filename DataLocalFile#filename}
    */
    readonly filename: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/local/d/file#id DataLocalFile#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/local/d/file local_file}
*/
export declare class DataLocalFile extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "local_file";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/local/d/file local_file} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataLocalFileConfig
    */
    constructor(scope: Construct, id: string, config: DataLocalFileConfig);
    get content(): string;
    get contentBase64(): string;
    private _filename?;
    get filename(): string;
    set filename(value: string);
    get filenameInput(): string | undefined;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
